package com.foreverwin.mesnac.anomaly.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 不良代码
 * </p>
 *
 * @author robert
 * @since 2021-07-01
 */

@TableName("Z_ABNORMAL_NC_CODE")

public class AbnormalNcCode extends Model<AbnormalNcCode> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常单BO
     */
   @TableField("ABNORMAL_BILL_BO")
   private String abnormalBillBo;
    /**
     * 不合格代码组
     */
   @TableField("NC_CODE_GROUP")
   private String ncCodeGroup;
    /**
     * 不合格代码
     */
   @TableField("NC_CODE")
   private String ncCode;
    /**
     * 不合格数量
     */
   @TableField("NC_QTY")
   private String ncQty;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getAbnormalBillBo() {
      return abnormalBillBo;
   }

   public void setAbnormalBillBo(String abnormalBillBo) {
      this.abnormalBillBo = abnormalBillBo;
   }

   public String getNcCodeGroup() {
      return ncCodeGroup;
   }

   public void setNcCodeGroup(String ncCodeGroup) {
      this.ncCodeGroup = ncCodeGroup;
   }

   public String getNcCode() {
      return ncCode;
   }

   public void setNcCode(String ncCode) {
      this.ncCode = ncCode;
   }

   public String getNcQty() {
      return ncQty;
   }

   public void setNcQty(String ncQty) {
      this.ncQty = ncQty;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String ABNORMAL_BILL_BO = "ABNORMAL_BILL_BO";

public static final String NC_CODE_GROUP = "NC_CODE_GROUP";

public static final String NC_CODE = "NC_CODE";

public static final String NC_QTY = "NC_QTY";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "AbnormalNcCode{" +
         "handle = " + handle +
         ", site = " + site +
         ", abnormalBillBo = " + abnormalBillBo +
         ", ncCodeGroup = " + ncCodeGroup +
         ", ncCode = " + ncCode +
         ", ncQty = " + ncQty +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}